org.apache.hadoop.io.compress

## Class DeflateCodec

- java.lang.Object
- - org.apache.hadoop.io.compress.DefaultCodec
  - - org.apache.hadoop.io.compress.DeflateCodec

- All Implemented Interfaces:
    Configurable, CompressionCodec, DirectDecompressionCodec

      public class DeflateCodec
      extends DefaultCodec

  Alias class for DefaultCodec to enable codec discovery by 'deflate' name.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.io.compress.CompressionCodec

      `CompressionCodec.Util`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateCodec()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.io.compress.DefaultCodec

      `createCompressor, createDecompressor, createDirectDecompressor, createInputStream, createInputStream, createOutputStream, createOutputStream, getCompressorType, getConf, getDecompressorType, getDefaultExtension, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateCodec

          public DeflateCodec()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.